#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x1c999806, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xf54b524b, "");
SYMBOL_CRC(ib_cm_listen, 0xe27be204, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x9bf60258, "");
SYMBOL_CRC(ib_send_cm_req, 0x697b6ebf, "");
SYMBOL_CRC(ib_send_cm_rep, 0xd1ba0359, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xcd3fbd07, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x93bfb07b, "");
SYMBOL_CRC(ib_send_cm_drep, 0xe9c3bf1a, "");
SYMBOL_CRC(ib_send_cm_rej, 0x247d6540, "");
SYMBOL_CRC(ib_send_cm_mra, 0x311b29f2, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x0bd6e07a, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x7a8c5e81, "");
SYMBOL_CRC(ib_cm_notify, 0xa709d1d2, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x7ac548f2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x845d2eb7, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x41d930a5, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0x57604224, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xad32da79, "__trace_trigger_soft_disabled" },
	{ 0xa95420db, "trace_event_printf" },
	{ 0xc4b596d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x8364e2b2, "rdma_query_gid" },
	{ 0x28c9bfe6, "ib_port_register_client_groups" },
	{ 0x9d426b01, "ib_modify_port" },
	{ 0x65f96c07, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeb58f564, "trace_event_buffer_commit" },
	{ 0xe80c74ea, "rdma_create_ah" },
	{ 0xc5b6c4af, "ib_init_ah_attr_from_wc" },
	{ 0x5ed698ce, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5a59300b, "ib_register_client" },
	{ 0xf8f5965c, "ib_unregister_mad_agent" },
	{ 0xf46553ca, "ib_post_send_mad" },
	{ 0x5dd00ce1, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x30b2fa81, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6400ec1e, "rdma_destroy_ah_attr" },
	{ 0x2eec5ce4, "ib_set_client_data" },
	{ 0x906a3ec2, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x367c6ec1, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6926cf8d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x40672b0a, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb02cbe9, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xfe03154a, "rdma_destroy_ah_user" },
	{ 0x18074fc0, "ib_free_send_mad" },
	{ 0xabc714b, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x25e26518, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x2ad2c725, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xebae3bd0, "trace_event_buffer_reserve" },
	{ 0x3bfd90ad, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x75619430, "ib_free_recv_mad" },
	{ 0xc4435073, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x70d168e4, "ib_modify_mad" },
	{ 0x1a508fcd, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "77A2E2E419D6724AFD4085A");
MODULE_INFO(rhelversion, "10.0");
