#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x2f1da8a8, "");
SYMBOL_CRC(__ib_alloc_pd, 0x10e151b9, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xb560221f, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x51db0756, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x1dabe7d4, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x2ad2c725, "");
SYMBOL_CRC(rdma_create_ah, 0xe80c74ea, "");
SYMBOL_CRC(rdma_create_user_ah, 0x2a8d93dd, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xc5b6c4af, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xc393c26c, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x6400ec1e, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x1a508fcd, "");
SYMBOL_CRC(rdma_modify_ah, 0x246a6c93, "");
SYMBOL_CRC(rdma_query_ah, 0xb48dfcd8, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xfe03154a, "");
SYMBOL_CRC(ib_create_srq_user, 0x18fefc45, "");
SYMBOL_CRC(ib_modify_srq, 0x7672acb0, "");
SYMBOL_CRC(ib_query_srq, 0x0793910f, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x98b92bac, "");
SYMBOL_CRC(ib_open_qp, 0x05bb96c9, "");
SYMBOL_CRC(ib_create_qp_user, 0xe0005cf1, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x62fd58d2, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xa37cc9df, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x202dbd56, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x8c690548, "");
SYMBOL_CRC(ib_get_eth_speed, 0x0c6bcc9e, "");
SYMBOL_CRC(ib_modify_qp, 0xb194560a, "");
SYMBOL_CRC(ib_query_qp, 0x3c500b14, "");
SYMBOL_CRC(ib_close_qp, 0xd8e1b8c3, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x0b252cb8, "");
SYMBOL_CRC(__ib_create_cq, 0x8fda7f90, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xe3a92333, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x23de1282, "");
SYMBOL_CRC(ib_resize_cq, 0x22a93705, "");
SYMBOL_CRC(ib_reg_user_mr, 0x08f60914, "");
SYMBOL_CRC(ib_advise_mr, 0xa88a5b9e, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x5b13a399, "");
SYMBOL_CRC(ib_alloc_mr, 0xc3cb911b, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x794cf06a, "");
SYMBOL_CRC(ib_attach_mcast, 0x9fa5a8bd, "");
SYMBOL_CRC(ib_detach_mcast, 0xdf6ffdb0, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x76fd1cf7, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x84bb9e9f, "");
SYMBOL_CRC(ib_create_wq, 0xf324f9c2, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x4e721e2c, "");
SYMBOL_CRC(ib_check_mr_status, 0x1402f293, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x53dcb8e3, "");
SYMBOL_CRC(ib_get_vf_config, 0x0e9333d9, "");
SYMBOL_CRC(ib_get_vf_stats, 0x3f976448, "");
SYMBOL_CRC(ib_set_vf_guid, 0xc544ad4d, "");
SYMBOL_CRC(ib_get_vf_guid, 0xa3cf6380, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x4a74d90e, "");
SYMBOL_CRC(ib_map_mr_sg, 0x139b2bf3, "");
SYMBOL_CRC(ib_sg_to_pages, 0x3fadc9bc, "");
SYMBOL_CRC(ib_drain_sq, 0x9d6a00be, "");
SYMBOL_CRC(ib_drain_rq, 0xcf7f7b29, "");
SYMBOL_CRC(ib_drain_qp, 0x44d95623, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x70eaebff, "");
SYMBOL_CRC(rdma_init_netdev, 0x878d4168, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0xdecdf385, "");
SYMBOL_CRC(__ib_alloc_cq, 0xd2fc15f6, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x8535cc7f, "");
SYMBOL_CRC(ib_free_cq, 0x2b188bec, "");
SYMBOL_CRC(ib_cq_pool_get, 0x0776a43e, "");
SYMBOL_CRC(ib_cq_pool_put, 0xa8986412, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x14a1c70c, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xfda44931, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x5ab845bc, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x9bce7f02, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xd84a2d05, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x422b3c3b, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0xd4fcc191, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x570fbb55, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x28c9bfe6, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x0abc714b, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xfd270360, "");
SYMBOL_CRC(ibdev_printk, 0xe9627760, "");
SYMBOL_CRC(ibdev_emerg, 0xdb355729, "");
SYMBOL_CRC(ibdev_alert, 0x657258a2, "");
SYMBOL_CRC(ibdev_crit, 0x90d444ce, "");
SYMBOL_CRC(ibdev_err, 0x582fa27b, "");
SYMBOL_CRC(ibdev_warn, 0xe5c022e4, "");
SYMBOL_CRC(ibdev_notice, 0xea12d383, "");
SYMBOL_CRC(ibdev_info, 0x4917971d, "");
SYMBOL_CRC(ib_device_put, 0x4b4719d9, "");
SYMBOL_CRC(ib_device_get_by_name, 0x8a834c91, "");
SYMBOL_CRC(_ib_alloc_device, 0x0293ee5b, "");
SYMBOL_CRC(ib_dealloc_device, 0x39ef80a9, "");
SYMBOL_CRC(ib_port_immutable_read, 0x64a52761, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x16b4c7d6, "");
SYMBOL_CRC(ib_register_device, 0x180f8e62, "");
SYMBOL_CRC(ib_unregister_device, 0x7508431e, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xa4085295, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x9ce4d0b8, "");
SYMBOL_CRC(ib_register_client, 0x5a59300b, "");
SYMBOL_CRC(ib_unregister_client, 0x845d2eb7, "");
SYMBOL_CRC(ib_set_client_data, 0x2eec5ce4, "");
SYMBOL_CRC(ib_register_event_handler, 0xed0e338a, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x3baaf159, "");
SYMBOL_CRC(ib_query_port, 0x472c7d6d, "");
SYMBOL_CRC(ib_device_set_netdev, 0xa651aad9, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x1d473100, "");
SYMBOL_CRC(ib_query_pkey, 0x3d1ca6cb, "");
SYMBOL_CRC(ib_modify_device, 0xb1909481, "");
SYMBOL_CRC(ib_modify_port, 0x9d426b01, "");
SYMBOL_CRC(ib_find_gid, 0xcb7d57a6, "");
SYMBOL_CRC(ib_find_pkey, 0xa173e435, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xf03fb9bb, "");
SYMBOL_CRC(ib_set_device_ops, 0xf54364f6, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xe0092d07, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x7c95e797, "");
SYMBOL_CRC(rdma_query_gid, 0x8364e2b2, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x1133179f, "");
SYMBOL_CRC(rdma_find_gid, 0x3bfd90ad, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x906a3ec2, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x3653460f, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x5ed698ce, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x23af4068, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x3f729028, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xbc9061a9, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x5660442b, "");
SYMBOL_CRC(rdma_query_gid_table, 0xdf05cceb, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x367c6ec1, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x9b61c952, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x9eddb750, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x0df2a948, "");
SYMBOL_CRC(ib_dispatch_event, 0xc3c7a052, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x640976e0, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x43dc3490, "");
SYMBOL_CRC(ibnl_put_attr, 0x8da39622, "");
SYMBOL_CRC(rdma_nl_unicast, 0xe1711b17, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xaa53bdf8, "");
SYMBOL_CRC(rdma_nl_multicast, 0xd62faa8b, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x3f71790f, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x201251ec, "");
SYMBOL_CRC(ib_mr_pool_get, 0x2096bdde, "");
SYMBOL_CRC(ib_mr_pool_put, 0x6fa2ac0c, "");
SYMBOL_CRC(ib_mr_pool_init, 0xdf4852a8, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x9a6f9670, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x13d45dee, "");
SYMBOL_CRC(rdma_translate_ip, 0xcc109c50, "");
SYMBOL_CRC(rdma_resolve_ip, 0x665f18bb, "");
SYMBOL_CRC(rdma_addr_cancel, 0xf0041a1e, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x41d930a5, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xee715059, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x9c66fac6, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x99b8b6e0, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x4933fa23, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x05407220, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xc4435073, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xf8f5965c, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xda0569c4, "");
SYMBOL_CRC(ib_create_send_mad, 0x5dd00ce1, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xae1641f7, "");
SYMBOL_CRC(ib_free_send_mad, 0x18074fc0, "");
SYMBOL_CRC(ib_post_send_mad, 0xf46553ca, "");
SYMBOL_CRC(ib_free_recv_mad, 0x75619430, "");
SYMBOL_CRC(ib_modify_mad, 0x70d168e4, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xc9039be2, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x6e5e7789, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x852630b9, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x1f5fdfe2, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xe100a0ec, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xb7de314b, "");
SYMBOL_CRC(rdma_link_register, 0xa9fd02dc, "");
SYMBOL_CRC(rdma_link_unregister, 0xacb12efd, "");
SYMBOL_CRC(rdma_restrack_count, 0xcafa1b66, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xb3a35384, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x51c922bc, "");
SYMBOL_CRC(rdma_restrack_new, 0xfbbbbb94, "");
SYMBOL_CRC(rdma_restrack_add, 0xf40681df, "");
SYMBOL_CRC(rdma_restrack_get, 0x9d26edc0, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x3f465f1e, "");
SYMBOL_CRC(rdma_restrack_put, 0x1b6427e3, "");
SYMBOL_CRC(rdma_restrack_del, 0x8fdc038b, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xae9c9a74, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x53e2486d, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x8bacdc09, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x235396a6, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x99601e64, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xf3347f88, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xfcce0dcf, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x7bbadcd5, "");
SYMBOL_CRC(ib_create_qp_security, 0x268da0ca, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x7652d900, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x1d3a6e44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb2ac78bc, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x771ed408, "rdmacg_try_charge" },
	{ 0x455a5348, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x16acaf71, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x116f68ed, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xf72b770d, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa134ffee, "dev_set_name" },
	{ 0x6cf6b1aa, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57604224, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0xac9f61e, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xad32da79, "__trace_trigger_soft_disabled" },
	{ 0x1eeef37d, "__kmalloc_node_noprof" },
	{ 0x9a6492b5, "dma_unmap_page_attrs" },
	{ 0xa95420db, "trace_event_printf" },
	{ 0xad92cde5, "__ip_dev_find" },
	{ 0x10a8e25d, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x28106f98, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x519d9222, "xas_find" },
	{ 0xb89c823d, "kobject_init" },
	{ 0x2c211571, "device_initialize" },
	{ 0xb7acaba9, "__dynamic_ibdev_dbg" },
	{ 0x79e7ca9a, "sysfs_create_groups" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xc4b596d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf8b79527, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc22ae8f, "in6_dev_finish_destroy" },
	{ 0x141b7697, "__netlink_kernel_create" },
	{ 0x65f96c07, "bpf_trace_run2" },
	{ 0xe3f4e39e, "ip_route_output_flow" },
	{ 0xe6710325, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba0695b9, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xbc955c50, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x71082493, "netlink_broadcast_filtered" },
	{ 0x723d8d29, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a125875, "dev_driver_string" },
	{ 0xeb58f564, "trace_event_buffer_commit" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x809bcbf3, "dma_map_page_attrs" },
	{ 0xd9fddc15, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x22fcc1f, "put_device" },
	{ 0xc72416f1, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x51d7d39c, "__alloc_skb" },
	{ 0x1c00005b, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb95bfee3, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x7a70dd09, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x30b2fa81, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x53799fa9, "_dev_err" },
	{ 0x9af43533, "init_net" },
	{ 0xfe30e039, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0xc5312996, "ipv6_stub" },
	{ 0x96e47ce8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb447ac26, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7f7c71ed, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xdb9122f8, "dev_get_by_index" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb89d66a5, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x6926cf8d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x735b65c1, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5606e24c, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xcf6eb5f8, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa72223b1, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x40672b0a, "bpf_trace_run1" },
	{ 0xa59dfd0e, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x607d2696, "netdev_get_xmit_slave" },
	{ 0xb02cbe9, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x74d8818f, "__neigh_event_send" },
	{ 0x218c25f9, "dev_printk_emit" },
	{ 0x7bfb1fb5, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d6683a4, "skb_trim" },
	{ 0xc4f16378, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x53b6d549, "netdev_walk_all_upper_dev_rcu" },
	{ 0x25e26518, "bpf_trace_run3" },
	{ 0xc6ae3613, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x5bbdb481, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x89141ed8, "neigh_destroy" },
	{ 0xc77ab628, "kobject_del" },
	{ 0xebae3bd0, "trace_event_buffer_reserve" },
	{ 0xbb30a53e, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc9095193, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x145ca3ee, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x31205316, "dev_get_by_name" },
	{ 0xe010cc91, "netlink_ns_capable" },
	{ 0x312936ab, "dst_release" },
	{ 0x8993bae1, "kobject_uevent" },
	{ 0x27ddab54, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5ce27aff, "vlan_dev_vlan_id" },
	{ 0x427c1c88, "dma_unmap_sg_attrs" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x5a6f34c7, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa844e62, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x1822353e, "netlink_has_listeners" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x6b3a1a42, "register_pernet_device" },
	{ 0xee17d2c2, "get_net_ns_by_fd" },
	{ 0x917a2cfd, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5af67f35, "kobject_put" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "dimlib");


MODULE_INFO(srcversion, "2775604C1891CBA2D1CD360");
MODULE_INFO(rhelversion, "10.0");
