#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x0b326ea4, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x0ce23183, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc624b6cb, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x298faf58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xba34afaf, "ether_setup" },
	{ 0xa72223b1, "__ethtool_get_link_ksettings" },
	{ 0xc918dd7b, "ethtool_get_ts_info_by_layer" },
	{ 0x9af43533, "init_net" },
	{ 0x9460eac5, "generic_hwtstamp_set_lower" },
	{ 0x2b4271a0, "generic_hwtstamp_get_lower" },
	{ 0xc9619c3e, "dev_mc_del" },
	{ 0x6fbb0c33, "dev_uc_del" },
	{ 0xed52bcfc, "dev_mc_add_excl" },
	{ 0xd0c13260, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x80116c0c, "__netpoll_free" },
	{ 0xfaf3b5e5, "vlan_vid_del" },
	{ 0xce99667e, "vlan_vid_add" },
	{ 0xf5e09e56, "dev_set_allmulti" },
	{ 0x5a597553, "dev_set_promiscuity" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x37f0088d, "dev_uc_unsync" },
	{ 0x49e7aea0, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9b7f1b85, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0x6d9d89d0, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6b3f8ff7, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc03263e8, "rtnl_link_unregister" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x5c6a9b2, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3aa7455a, "unregister_netdevice_queue" },
	{ 0xd07dd30c, "netdev_upper_dev_unlink" },
	{ 0x7ac8ae47, "dev_addr_mod" },
	{ 0xfad9435e, "dev_uc_add" },
	{ 0xbc09360f, "dev_set_mtu" },
	{ 0xfebc604f, "netif_inherit_tso_max" },
	{ 0xbd1c1e62, "netdev_update_features" },
	{ 0x654eac2e, "netif_stacked_transfer_operstate" },
	{ 0x798312f9, "call_netdevice_notifiers" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb1f896d, "skb_clone" },
	{ 0x807bac1e, "netif_rx" },
	{ 0x2f95f8e3, "__dev_forward_skb" },
	{ 0xec3a5640, "__dev_queue_xmit" },
	{ 0x57be1919, "dev_forward_skb" },
	{ 0x27270be6, "netpoll_send_skb" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2db698cb, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x2cd1aec, "__netif_rx" },
	{ 0xf804baa0, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x953a973b, "netdev_core_stats_inc" },
	{ 0x1c654070, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5cf958bc, "netdev_is_rx_handler_busy" },
	{ 0x7293df69, "netdev_rx_handler_register" },
	{ 0xf5680e1f, "register_netdevice" },
	{ 0x3f544bee, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdf771395, "linkwatch_fire_event" },
	{ 0x7c1f5852, "dev_uc_sync" },
	{ 0x1ad832f7, "dev_mc_sync" },
	{ 0xf9ac44d0, "passthru_features_check" },
	{ 0x81d77a10, "eth_validate_addr" },
	{ 0xee71be0, "ndo_dflt_fdb_dump" },
	{ 0xd4b51708, "eth_header_parse" },
	{ 0xaf90e40e, "eth_header_cache" },
	{ 0x6d1e9029, "eth_header_cache_update" },
	{ 0xb5523a30, "eth_header_parse_protocol" },
	{ 0x2aa1ef69, "ethtool_op_get_link" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "76B0BF581DBAE8C9EC0A3E5");
MODULE_INFO(rhelversion, "10.0");
