#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x29b4d82c, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x96c8f02a, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xc3a2ae26, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x7de1bedf, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x718a048f, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x56df9ea2, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xfe0a94f6, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x10adca21, "");
SYMBOL_CRC(nvdimm_region_notify, 0x58448362, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xa3225cda, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xe973e4c3, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xc2c96c78, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x36702383, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xbe09b508, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x507ebeed, "");
SYMBOL_CRC(nd_device_unregister, 0x7d85c72b, "");
SYMBOL_CRC(__nd_driver_register, 0xb594d177, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xe5210005, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x60740613, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xd95ae7f7, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xead8682a, "_gpl");
SYMBOL_CRC(to_ndd, 0x731ff6ef, "");
SYMBOL_CRC(nvdimm_name, 0x6b4cf21e, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x8f36b370, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x6eca237a, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x2c410daf, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xed914c34, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xa04bfad4, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xbe6f25cd, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x46727551, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x9d5e6e24, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xe35fee51, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xfc913e55, "_gpl");
SYMBOL_CRC(to_nd_region, 0x10b63bfa, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x1bd299f2, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xeb10fd88, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xc551a3c3, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xe7973008, "");
SYMBOL_CRC(nd_region_release_lane, 0xff8d0873, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x34b049ea, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x6884133e, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x5898e391, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x6af35632, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x781b06f2, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x6b189cee, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x84f09c7b, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x5c065d0d, "");
SYMBOL_CRC(pmem_sector_size, 0x58c62e5e, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xa2b5d28a, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x4ed46b23, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x9450c165, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x342087ec, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xbd4a79fb, "");
SYMBOL_CRC(devm_namespace_enable, 0x6d02dc3f, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x1fb722e7, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xdc1f2ada, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x954aaf2a, "");
SYMBOL_CRC(is_nd_btt, 0x3d71b17a, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xd31e55fa, "");
SYMBOL_CRC(nd_btt_version, 0x277612c9, "");
SYMBOL_CRC(nd_btt_probe, 0x6c6f51f2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6b19b78e, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x795a1d92, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xe83f28fe, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x4fa086a4, "devm_memremap" },
	{ 0xa134ffee, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5af76cb9, "badblocks_set" },
	{ 0x31c3d6a, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x146210ab, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x2c211571, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xdef7a780, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbb6c3e00, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe6710325, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xba0695b9, "__dynamic_dev_dbg" },
	{ 0x9ae9dc14, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x4a125875, "dev_driver_string" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x9cd5031e, "__devm_request_region" },
	{ 0x83e1270e, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x22fcc1f, "put_device" },
	{ 0xd0404ac9, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x61157ff6, "_dev_info" },
	{ 0x43f4ba6d, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x258afec4, "compat_ptr_ioctl" },
	{ 0x244609ae, "perf_pmu_migrate_context" },
	{ 0xf05971d2, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb88def26, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x23faa166, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x53799fa9, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0xb99c72e2, "__cpuhp_setup_state" },
	{ 0x454a7d72, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0xb447ac26, "device_add" },
	{ 0x192ce10, "noop_llseek" },
	{ 0x4e5faae5, "class_create" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3a20d2d0, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xb54c34d1, "driver_unregister" },
	{ 0x59ffcda6, "__cpuhp_state_add_instance" },
	{ 0xd4bf6583, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x443c1160, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xb02cbe9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x9a8afd3, "kill_device" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc9095193, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x39c6d696, "__devm_release_region" },
	{ 0xadeab13d, "request_key_tag" },
	{ 0x901d269e, "kernfs_put" },
	{ 0x4eaa2800, "__register_chrdev" },
	{ 0x5cba0a63, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x97b40bec, "badblocks_check" },
	{ 0x667797e7, "__devm_add_action" },
	{ 0xc054f0f6, "badblocks_clear" },
	{ 0xc7581027, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7725b12f, "driver_register" },
	{ 0xf595c4d0, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0xc44338d5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E4AADD8FD28AFF1F61529C0");
MODULE_INFO(rhelversion, "10.0");
