#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qdio_inspect_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_inspect_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_get_ssqd_desc, "_gpl", "");
KSYMTAB_FUNC(qdio_shutdown, "_gpl", "");
KSYMTAB_FUNC(qdio_free, "_gpl", "");
KSYMTAB_FUNC(qdio_allocate, "_gpl", "");
KSYMTAB_FUNC(qdio_establish, "_gpl", "");
KSYMTAB_FUNC(qdio_activate, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_start_irq, "", "");
KSYMTAB_FUNC(qdio_stop_irq, "", "");
KSYMTAB_FUNC(qdio_free_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_alloc_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_reset_buffers, "_gpl", "");

SYMBOL_CRC(qdio_inspect_input_queue, 0xaae8ba19, "_gpl");
SYMBOL_CRC(qdio_inspect_output_queue, 0xd9202a28, "_gpl");
SYMBOL_CRC(qdio_get_ssqd_desc, 0xc2f85b75, "_gpl");
SYMBOL_CRC(qdio_shutdown, 0xbfc64d12, "_gpl");
SYMBOL_CRC(qdio_free, 0x425caa19, "_gpl");
SYMBOL_CRC(qdio_allocate, 0x432f5571, "_gpl");
SYMBOL_CRC(qdio_establish, 0xe1300392, "_gpl");
SYMBOL_CRC(qdio_activate, 0x227d05c1, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_input_queue, 0x267812e5, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_output_queue, 0x0464aa47, "_gpl");
SYMBOL_CRC(qdio_start_irq, 0xd6e765a0, "");
SYMBOL_CRC(qdio_stop_irq, 0x2e49846f, "");
SYMBOL_CRC(qdio_free_buffers, 0x77abf1a3, "_gpl");
SYMBOL_CRC(qdio_alloc_buffers, 0x1c4445c0, "_gpl");
SYMBOL_CRC(qdio_reset_buffers, 0xd4c12f24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1391e283, "ccw_device_halt" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x26f58918, "chsc_sadc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc41a0c51, "chsc_ssqd" },
	{ 0x7caa5e28, "debug_set_level" },
	{ 0x90000d2, "debug_register" },
	{ 0xff1558b7, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0xff1f6266, "seq_hex_dump" },
	{ 0x96db2637, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0x4a125875, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5be27de6, "ccw_device_get_schid" },
	{ 0x61157ff6, "_dev_info" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xaa61de11, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5240f472, "ccw_device_get_ciw" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x118b3403, "kmem_cache_free" },
	{ 0x53b9b31e, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc1d48de0, "ccw_device_clear" },
	{ 0xea57d213, "kmem_cache_alloc_noprof" },
	{ 0xad3dfa13, "lgr_info_log" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd624f791, "ccw_device_set_options_mask" },
	{ 0x7660adca, "debug_hex_ascii_view" },
	{ 0xa8f54c44, "debug_unregister" },
	{ 0x9ba205ea, "seq_read" },
	{ 0x577ec2d5, "debugfs_create_file" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf9ae66cc, "debug_event_common" },
	{ 0x56470118, "__warn_printk" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x6b310586, "single_release" },
	{ 0xcd518a8a, "ccw_device_set_options" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0x99d0ab15, "single_open" },
	{ 0xf88c7d84, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa3093600, "debug_register_view" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EC49CD8FC9BF74B6F794573");
MODULE_INFO(rhelversion, "10.0");
