#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vp_modern_probe, "_gpl", "");
KSYMTAB_FUNC(vp_modern_remove, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_driver_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_generation, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_config_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_address, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_num_queues, "_gpl", "");
KSYMTAB_FUNC(vp_modern_map_vq_notify, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_num, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_index, "_gpl", "");

SYMBOL_CRC(vp_modern_probe, 0xa30acc81, "_gpl");
SYMBOL_CRC(vp_modern_remove, 0xf47b5a18, "_gpl");
SYMBOL_CRC(vp_modern_get_features, 0x43b7f75b, "_gpl");
SYMBOL_CRC(vp_modern_get_driver_features, 0x8d1e195d, "_gpl");
SYMBOL_CRC(vp_modern_set_features, 0xaced3c3c, "_gpl");
SYMBOL_CRC(vp_modern_generation, 0x09eee0f3, "_gpl");
SYMBOL_CRC(vp_modern_get_status, 0xdc7b4e43, "_gpl");
SYMBOL_CRC(vp_modern_set_status, 0x204380b1, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_reset, 0xce379532, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_reset, 0xd1011400, "_gpl");
SYMBOL_CRC(vp_modern_queue_vector, 0x7c384243, "_gpl");
SYMBOL_CRC(vp_modern_config_vector, 0x05ddc097, "_gpl");
SYMBOL_CRC(vp_modern_queue_address, 0x2e74dc0a, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_enable, 0x9b4b01a0, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_enable, 0xfee11bd9, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_size, 0xb791afe7, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_size, 0x1355c345, "_gpl");
SYMBOL_CRC(vp_modern_get_num_queues, 0x4a5a594e, "_gpl");
SYMBOL_CRC(vp_modern_map_vq_notify, 0xab20645a, "_gpl");
SYMBOL_CRC(vp_modern_avq_num, 0xdd703a65, "_gpl");
SYMBOL_CRC(vp_modern_avq_index, 0xcbda4232, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45052973, "pci_iounmap" },
	{ 0x36208ee4, "pci_release_selected_regions" },
	{ 0x37569146, "pci_read_config_byte" },
	{ 0xdaee4c1d, "pci_read_config_dword" },
	{ 0xb5a8d072, "pci_iomap_range" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x53799fa9, "_dev_err" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xb02cbe9, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ecaa0f9, "pci_find_capability" },
	{ 0x7647615e, "pci_find_next_capability" },
	{ 0x4603f858, "dma_set_mask" },
	{ 0x4817fbc9, "pci_request_selected_regions" },
	{ 0xaa738506, "dma_set_coherent_mask" },
	{ 0x61157ff6, "_dev_info" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3623E482BDEDB83CE34C7A3");
MODULE_INFO(rhelversion, "10.0");
