#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x90239301, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x22c5ffe7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xa972498a, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x48f47a5f, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x7b3ec8c3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xafdd4ddc, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x906dbe22, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x4220db0b, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x2840815c, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xb0d99e32, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x9447cffc, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xc77220a0, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x7b363536, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xab976228, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xdeaa6fb0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x3fe89af3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x57b35331, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xe989ae66, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x95d3c4c4, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x1cee790f, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x0372dd2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x30b2fa81, "perf_trace_run_bpf_submit" },
	{ 0xebae3bd0, "trace_event_buffer_reserve" },
	{ 0xeb58f564, "trace_event_buffer_commit" },
	{ 0xad32da79, "__trace_trigger_soft_disabled" },
	{ 0x57604224, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0xa95420db, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x40672b0a, "bpf_trace_run1" },
	{ 0x65f96c07, "bpf_trace_run2" },
	{ 0xe5d5b18a, "sock_create_kern" },
	{ 0x8c9c41e7, "kernel_bind" },
	{ 0xb9d6c72e, "kernel_connect" },
	{ 0xc6f330a1, "udp_sock_create6" },
	{ 0xc60d2964, "kernel_sock_shutdown" },
	{ 0xbef3b320, "sock_release" },
	{ 0x8b3c59c1, "udp_sock_create4" },
	{ 0x6b3a1a42, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xcf6eb5f8, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4d6fc150, "sk_error_report" },
	{ 0x80c60d84, "ip_icmp_error" },
	{ 0x78093d93, "ipv6_icmp_error" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x3761d215, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xab022ebc, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe798236d, "jiffies" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7b1dc360, "skb_dequeue" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xc9d0e25a, "sockfd_lookup" },
	{ 0x7e111296, "lock_sock_nested" },
	{ 0xfa0877ae, "release_sock" },
	{ 0x25584ae4, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x8f73cff3, "setup_udp_tunnel_sock" },
	{ 0x2686f7ea, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf9e36360, "__pskb_pull_tail" },
	{ 0x9608c73e, "pskb_expand_head" },
	{ 0xb5dac923, "udp_set_csum" },
	{ 0x1f80aa5, "ip_queue_xmit" },
	{ 0xd89269e8, "udp6_set_csum" },
	{ 0xc073fdd2, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x312936ab, "dst_release" },
	{ 0x6926cf8d, "trace_event_reg" },
	{ 0xc4b596d2, "trace_event_raw_init" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "80DAD46D1C16CE7FA1315CC");
MODULE_INFO(rhelversion, "10.0");
