#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x68f10c02, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x33b0282a, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x9fc34d2b, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x06de3b8f, "");
SYMBOL_CRC(gss_mech_put, 0x63b95f18, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xfb9b1fbf, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x52cccfd9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47be31f2, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x795a1d92, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0x4b9740a6, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xc34de60, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x16acaf71, "bpf_trace_run4" },
	{ 0xa84ee7c6, "xdr_stream_decode_opaque_auth" },
	{ 0xbd7bb7b3, "param_ops_uint" },
	{ 0x1c7859b4, "xdr_write_pages" },
	{ 0x31c45891, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xe1ce96c7, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x15dfee48, "xdr_inline_decode" },
	{ 0x58651549, "cache_create_net" },
	{ 0x12017733, "rpcauth_destroy_credcache" },
	{ 0x57604224, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x40e74450, "bpf_trace_run6" },
	{ 0xb736550e, "rpc_net_ns" },
	{ 0xa5f0de2c, "read_bytes_from_xdr_buf" },
	{ 0xad32da79, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xa95420db, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8a5d2098, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xc4b596d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x9e1c81bb, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x65f96c07, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5b571420, "xdr_truncate_decode" },
	{ 0x1d1b467f, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xb1023f6, "__xdr_commit_encode" },
	{ 0x94632598, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x6dfc9c4c, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x465ff74, "__put_cred" },
	{ 0x5963235e, "register_pernet_subsys" },
	{ 0xeb58f564, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xdcb62bca, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xe322592f, "rpc_release_client" },
	{ 0x6aa51bd9, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe2bc3a67, "svc_auth_register" },
	{ 0x5e0411f2, "xdr_stream_encode_opaque_auth" },
	{ 0xe27aa9e1, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x78bfb1ec, "rpc_destroy_pipe_data" },
	{ 0xb3da6024, "__free_pages" },
	{ 0x758fc129, "rpc_pipe_generic_upcall" },
	{ 0x43f4ba6d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x49d6224a, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc3f6399a, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x30b2fa81, "perf_trace_run_bpf_submit" },
	{ 0x544817fb, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xf5bddf3a, "rpcauth_init_credcache" },
	{ 0xd060175e, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x77ba625d, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6926cf8d, "trace_event_reg" },
	{ 0x4abe9dd1, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa34ccb87, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x13c8b9d8, "rpc_create" },
	{ 0x40672b0a, "bpf_trace_run1" },
	{ 0xbd878a95, "rpc_call_sync" },
	{ 0x1ad39d3c, "from_kuid" },
	{ 0xfd378ce4, "unregister_pernet_subsys" },
	{ 0xa2ac6e8b, "rpc_queue_upcall" },
	{ 0x40878a14, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xaef82b2d, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xe96b7833, "svcauth_unix_set_client" },
	{ 0x53b53645, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x642ba450, "make_kgid" },
	{ 0xb3a5997c, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x5e5d0ad6, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x988fa8d5, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x25e26518, "bpf_trace_run3" },
	{ 0xc6ae3613, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x57ec8b07, "rpc_mkpipe_dentry" },
	{ 0xf80353b7, "rpc_mkpipe_data" },
	{ 0x8135d564, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xebae3bd0, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x3afbc07d, "cache_register_net" },
	{ 0x9938123d, "init_user_ns" },
	{ 0xe3c492fa, "xdr_inline_pages" },
	{ 0xf856ad95, "__folio_put" },
	{ 0xf8cd3071, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xdf38c050, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf11c36fb, "alloc_pages_noprof" },
	{ 0x6ca8f098, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xc7716527, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x5bf7b7a9, "from_kuid_munged" },
	{ 0x83e592e7, "rpcauth_init_cred" },
	{ 0x5e032f61, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x68b0f438, "cache_destroy_net" },
	{ 0xf9edba73, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xd52234be, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x17b1a715, "sunrpc_cache_update" },
	{ 0xe51232ee, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfa315dde, "auth_domain_put" },
	{ 0x67b6bc9e, "rpcauth_unwrap_resp_decode" },
	{ 0xf87f29a1, "rpcauth_register" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.0");
