#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa57ab855, "xfrm6_protocol_deregister" },
	{ 0xd889ff10, "xfrm6_rcv" },
	{ 0xd9491f4d, "xfrm6_tunnel_register" },
	{ 0x89def443, "skb_gso_validate_network_len" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5b0ff7b6, "xfrm4_tunnel_register" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x2dad2868, "__xfrm_decode_session" },
	{ 0x7ab52edc, "__skb_ext_del" },
	{ 0x6b3f8ff7, "rtnl_link_register" },
	{ 0xb2a717fe, "ip_tunnel_header_ops" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x5f0d1b69, "xfrm_state_lookup" },
	{ 0x3582185c, "__xfrm_policy_check" },
	{ 0x20c1238f, "gro_cells_init" },
	{ 0x7d788cf4, "xfrm4_protocol_register" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb0a8d89, "xfrm6_rcv_spi" },
	{ 0x3aa7455a, "unregister_netdevice_queue" },
	{ 0xc5670d1f, "xfrm4_rcv" },
	{ 0x66f4af98, "__xfrm_state_destroy" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd68d8bed, "netdev_state_change" },
	{ 0x3eddee56, "ip6_update_pmtu" },
	{ 0x7ac8ae47, "dev_addr_mod" },
	{ 0xbef9bf6b, "xfrm_lookup_with_ifid" },
	{ 0xaf913234, "ipv4_redirect" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe27aa9e1, "make_kuid" },
	{ 0x36410845, "ip6_route_output_flags" },
	{ 0x449d04, "ip_route_output_key_hash" },
	{ 0xd30b85d2, "metadata_dst_free_percpu" },
	{ 0xfe842eec, "metadata_dst_alloc_percpu" },
	{ 0xb9d66067, "icmpv6_ndo_send" },
	{ 0x1eee4829, "xfrm_bpf_md_dst" },
	{ 0x582b6275, "xfrm_if_unregister_cb" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1c654070, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc03263e8, "rtnl_link_unregister" },
	{ 0x91a8ac09, "xfrm6_tunnel_spi_lookup" },
	{ 0x5f17e2a9, "dev_get_by_index_rcu" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0xebd8e75e, "icmp_ndo_send" },
	{ 0xf71e0f8a, "xfrm_input" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0xcf6eb5f8, "unregister_pernet_device" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x353c1579, "dev_get_tstats64" },
	{ 0x613b7c07, "register_btf_kfunc_id_set" },
	{ 0xd0f77f, "ip6_redirect" },
	{ 0x21faada4, "lwtunnel_state_alloc" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1815915, "xfrm_if_register_cb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b4b4394, "xfrm4_protocol_deregister" },
	{ 0x2d544e3d, "ipv4_update_pmtu" },
	{ 0x75ff2326, "metadata_dst_alloc" },
	{ 0x312936ab, "dst_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7de672a, "lwtunnel_encap_add_ops" },
	{ 0x6b3a1a42, "register_pernet_device" },
	{ 0x1aa67250, "lwtunnel_encap_del_ops" },
	{ 0x74f55e79, "xfrm6_tunnel_deregister" },
	{ 0xbc1f39c7, "xfrm4_tunnel_deregister" },
	{ 0xa4356386, "xfrm6_protocol_register" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf5680e1f, "register_netdevice" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "tunnel6,tunnel4,xfrm6_tunnel");


MODULE_INFO(srcversion, "043D3DF7750DDF9BF45DFA5");
MODULE_INFO(rhelversion, "10.0");
