#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4abd0ced, "md_cluster_ops" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe8b9eeb2, "register_md_personality" },
	{ 0xb62fc20c, "md_bitmap_endwrite" },
	{ 0x13c9a163, "md_write_end" },
	{ 0xa0984869, "bio_put" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xfaa6090c, "bio_alloc_clone" },
	{ 0xc240f3f2, "bio_trim" },
	{ 0xab1a21a7, "submit_bio_wait" },
	{ 0x3097091c, "rdev_set_badblocks" },
	{ 0x54d61d8c, "sync_page_io" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x56470118, "__warn_printk" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x1bcde158, "bio_reset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x82f6cefd, "md_integrity_register" },
	{ 0x33068af, "md_integrity_add_rdev" },
	{ 0xd8aabbd3, "mddev_stack_new_rdev" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0x421f808f, "mddev_stack_rdev_limits" },
	{ 0x656ee082, "queue_limits_set" },
	{ 0x75c696b, "unregister_md_personality" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe4241c36, "bioset_exit" },
	{ 0xf856ad95, "__folio_put" },
	{ 0x41ae5322, "bio_uninit" },
	{ 0x97b40bec, "badblocks_check" },
	{ 0x2263e8a5, "md_error" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x73ed3324, "bio_endio" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5ec913f8, "bio_kmalloc" },
	{ 0x5ee4bbe6, "bio_init" },
	{ 0xf11c36fb, "alloc_pages_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x92922c59, "md_wakeup_thread" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc53d4ac9, "blk_start_plug" },
	{ 0xb2fbbfa, "md_bitmap_unplug_async" },
	{ 0x936d1846, "submit_bio_noacct" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc54dd475, "bio_associate_blkg" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xde00fdec, "blk_finish_plug" },
	{ 0xf9cc0fdf, "md_bitmap_unplug" },
	{ 0x3b15bb81, "__blk_trace_note_message" },
	{ 0x48d3e4ff, "md_wait_for_blocked_rdev" },
	{ 0x43cdca4f, "md_submit_discard_bio" },
	{ 0x4cbdf067, "bio_split" },
	{ 0xd19372d5, "bio_chain" },
	{ 0x9ae9dc14, "kernfs_notify" },
	{ 0xf448272e, "md_done_sync" },
	{ 0xbcd7d120, "md_bitmap_resize" },
	{ 0x84bd36ef, "md_set_array_sectors" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x98de1c15, "snprintf" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xcc3b88c8, "__traceiter_block_bio_remap" },
	{ 0xed8ab2b3, "md_account_bio" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x612894b2, "bioset_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xf9dbc808, "md_register_thread" },
	{ 0x6171795c, "md_unregister_thread" },
	{ 0x3aa4ea65, "bio_add_page" },
	{ 0xeb0e0367, "bio_copy_data" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x644ac013, "md_bitmap_startwrite" },
	{ 0x893688c3, "md_write_start" },
	{ 0x8b4b5644, "md_flush_request" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe798236d, "jiffies" },
	{ 0x4211296c, "bio_alloc_bioset" },
	{ 0x236c8c64, "memcpy" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x24291eb8, "sysfs_create_link" },
	{ 0x1ff4aa61, "rdev_clear_badblocks" },
	{ 0xf1a47383, "md_check_recovery" },
	{ 0xeb021eec, "md_bitmap_cond_end_sync" },
	{ 0xc8e96c0, "md_bitmap_start_sync" },
	{ 0x768dcf35, "md_bitmap_close_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x56ff2d16, "md_finish_reshape" },
	{ 0x4663398f, "mddev_update_io_opt" },
	{ 0xa45789a0, "md_bitmap_end_sync" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B2CD571057D67796574E2B8");
MODULE_INFO(rhelversion, "10.0");
