#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x5d5bc047, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x44441620, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b19b78e, "set_disk_ro" },
	{ 0xe8b9eeb2, "register_md_personality" },
	{ 0x7de97ead, "shrinker_alloc" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3b3975b0, "__bio_add_page" },
	{ 0xc53d4ac9, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbcd7d120, "md_bitmap_resize" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0x7409f898, "md_find_rdev_rcu" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa0ec97b6, "mddev_resume" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc8e96c0, "md_bitmap_start_sync" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xeb021eec, "md_bitmap_cond_end_sync" },
	{ 0x1c8cc862, "queue_limits_stack_bdev" },
	{ 0x2263e8a5, "md_error" },
	{ 0x326dcac2, "async_xor_val_offs" },
	{ 0x51473316, "__cpu_present_mask" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x644ac013, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x56ff2d16, "md_finish_reshape" },
	{ 0xcc3b88c8, "__traceiter_block_bio_remap" },
	{ 0xd826fc99, "async_gen_syndrome" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x6171795c, "md_unregister_thread" },
	{ 0x54d61d8c, "sync_page_io" },
	{ 0x768dcf35, "md_bitmap_close_sync" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x4fc6907e, "md_free_cloned_bio" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0x67d70443, "kthread_park" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x9ae9dc14, "kernfs_notify" },
	{ 0x76ed99b4, "shrinker_free" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0x92922c59, "md_wakeup_thread" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x83e1270e, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x84bd36ef, "md_set_array_sectors" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x79bdc5b9, "md_allow_write" },
	{ 0x1ff4aa61, "rdev_clear_badblocks" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x600da271, "async_tx_quiesce" },
	{ 0x893688c3, "md_write_start" },
	{ 0x368e0790, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x46f97867, "shrinker_register" },
	{ 0x5d16d8cd, "radix_tree_replace_slot" },
	{ 0x38184a53, "async_xor" },
	{ 0xb3da6024, "__free_pages" },
	{ 0xd028a2bc, "async_xor_offs" },
	{ 0xde00fdec, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb40aed2a, "submit_bio" },
	{ 0xe69b23b5, "blk_queue_flag_clear" },
	{ 0x24291eb8, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x34e15d7a, "kthread_unpark" },
	{ 0xe4241c36, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf448272e, "md_done_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xa0984869, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x73ed3324, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x48d3e4ff, "md_wait_for_blocked_rdev" },
	{ 0xb99c72e2, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa0211956, "async_memcpy" },
	{ 0x4663398f, "mddev_update_io_opt" },
	{ 0x936d1846, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x421f808f, "mddev_stack_rdev_limits" },
	{ 0x118b3403, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0xe7d157af, "mddev_unlock" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0xd19372d5, "bio_chain" },
	{ 0x3b15bb81, "__blk_trace_note_message" },
	{ 0x9be865b, "__traceiter_block_unplug" },
	{ 0x6009bdad, "blkdev_issue_zeroout" },
	{ 0x59ffcda6, "__cpuhp_state_add_instance" },
	{ 0xd3d69948, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x94fcb2a9, "async_raid6_2data_recov" },
	{ 0x3aa4ea65, "bio_add_page" },
	{ 0xa45789a0, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x720f0fd2, "md_update_sb" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xfb5ed705, "sysfs_create_group" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0xda6fa05c, "_atomic_dec_and_lock_irqsave" },
	{ 0x8b4b5644, "md_flush_request" },
	{ 0x5ee4bbe6, "bio_init" },
	{ 0xf9dbc808, "md_register_thread" },
	{ 0xfaa6090c, "bio_alloc_clone" },
	{ 0x3e193101, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xea57d213, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed8ab2b3, "md_account_bio" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xa7ae09c5, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x75c696b, "unregister_md_personality" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xf9cc0fdf, "md_bitmap_unplug" },
	{ 0x41ae5322, "bio_uninit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc9095193, "param_ops_bool" },
	{ 0x612894b2, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x5f68e52f, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xf856ad95, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x13c9a163, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf1a47383, "md_check_recovery" },
	{ 0xb62fc20c, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xf11c36fb, "alloc_pages_noprof" },
	{ 0xf1b3b16a, "blkdev_issue_flush" },
	{ 0x9f9fc0d8, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x97b40bec, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x656ee082, "queue_limits_set" },
	{ 0x3097091c, "rdev_set_badblocks" },
	{ 0x4211296c, "bio_alloc_bioset" },
	{ 0x2e4535c5, "async_raid6_datap_recov" },
	{ 0xab1a21a7, "submit_bio_wait" },
	{ 0xf595c4d0, "__cpuhp_remove_state" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0x4cbdf067, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1d17c49c, "blkdev_issue_discard" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "03C5679B68CFCB1834A8813");
MODULE_INFO(rhelversion, "10.0");
