#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadbefaa8, "pin_user_pages_fast" },
	{ 0xdf7a1f55, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc51aee5e, "pci_cfg_access_unlock" },
	{ 0x960ea99a, "unpin_user_pages_dirty_lock" },
	{ 0x4817fbc9, "pci_request_selected_regions" },
	{ 0x36208ee4, "pci_release_selected_regions" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x47eb0a2f, "pci_enable_device_mem" },
	{ 0xfba46727, "pci_iomap" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe8fdf773, "pci_alloc_irq_vectors" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x1a706463, "kill_fasync" },
	{ 0x9a6492b5, "dma_unmap_page_attrs" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x98a72dbd, "__pci_register_driver" },
	{ 0xf8b79527, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbd13b74b, "pci_sriov_get_totalvfs" },
	{ 0x96db2637, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xba0695b9, "__dynamic_dev_dbg" },
	{ 0xc809a3c9, "pci_unregister_driver" },
	{ 0x4ab84c83, "pci_cfg_access_lock" },
	{ 0xd7aa3593, "wake_up_process" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x809bcbf3, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x47ff7282, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb19fce53, "pci_set_pcie_reset_state" },
	{ 0x61157ff6, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd0b461c3, "pci_select_bars" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x258afec4, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0x49b5d59, "cdev_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x53799fa9, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8d016326, "kill_pid" },
	{ 0xdd521a86, "dma_alloc_attrs" },
	{ 0x53b9b31e, "debugfs_remove" },
	{ 0x54622b6d, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5606e24c, "class_unregister" },
	{ 0x84818aca, "kthread_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x45052973, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xea5707b5, "pci_restore_state" },
	{ 0xb02cbe9, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4ea03ad0, "pci_set_master" },
	{ 0x3b94fa0c, "debugfs_create_u32" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x79b00a69, "pci_reset_function" },
	{ 0x51a2b8a0, "kthread_create_on_node" },
	{ 0xaa738506, "dma_set_coherent_mask" },
	{ 0x9ba205ea, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6453f124, "device_create_with_groups" },
	{ 0x577ec2d5, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x4bd45f3f, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x32ba4bf1, "seq_write" },
	{ 0x5cba0a63, "device_destroy" },
	{ 0x362c7c2, "seq_printf" },
	{ 0xf9f59dbf, "pci_disable_sriov" },
	{ 0x5afffde4, "pci_disable_device" },
	{ 0x6b310586, "single_release" },
	{ 0x4603f858, "dma_set_mask" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0xdf59602c, "crc_itu_t" },
	{ 0x99d0ab15, "single_open" },
	{ 0xf88c7d84, "debugfs_create_dir" },
	{ 0x3b7fa4fd, "pci_free_irq_vectors" },
	{ 0xe8646888, "pci_enable_sriov" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xbb6a6318, "put_pid" },
	{ 0x917a2cfd, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2cdf182, "cdev_init" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xd7d732a2, "cdev_del" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000044Bbc12sc00i00*");

MODULE_INFO(srcversion, "71A5414DA5A4D7A80A993D8");
MODULE_INFO(rhelversion, "10.0");
