#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x79276149, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xb3649482, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xaa400d06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6b3f8ff7, "rtnl_link_register" },
	{ 0x23aab8af, "genl_register_family" },
	{ 0xc03263e8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xecf8a537, "crypto_destroy_tfm" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x9ed9c454, "crypto_alloc_aead" },
	{ 0x1a997745, "crypto_aead_setkey" },
	{ 0x60cdbd2, "crypto_aead_setauthsize" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x96e47ce8, "skb_pull" },
	{ 0x96c17fe4, "___pskb_trim" },
	{ 0xba34afaf, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x1ad832f7, "dev_mc_sync" },
	{ 0x7c1f5852, "dev_uc_sync" },
	{ 0xf5e09e56, "dev_set_allmulti" },
	{ 0x5a597553, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8e8992ea, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbac41682, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xec3a5640, "__dev_queue_xmit" },
	{ 0xc8404526, "eth_type_trans" },
	{ 0x6e90c957, "gro_cells_receive" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0x1c654070, "__dev_get_by_index" },
	{ 0xb1f896d, "skb_clone" },
	{ 0x2cd1aec, "__netif_rx" },
	{ 0x9b72cb5b, "skb_ensure_writable_head_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x20c1238f, "gro_cells_init" },
	{ 0x7ac8ae47, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5680e1f, "register_netdevice" },
	{ 0x3f544bee, "netdev_upper_dev_link" },
	{ 0xd07dd30c, "netdev_upper_dev_unlink" },
	{ 0x3aa7455a, "unregister_netdevice_queue" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ff2326, "metadata_dst_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x654eac2e, "netif_stacked_transfer_operstate" },
	{ 0xdf771395, "linkwatch_fire_event" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x7293df69, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x94e74a05, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf4259361, "skb_to_sgvec" },
	{ 0x6913b4b4, "skb_copy" },
	{ 0x2db698cb, "consume_skb" },
	{ 0x85542ebd, "crypto_aead_decrypt" },
	{ 0xb89d66a5, "skb_push" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf9e36360, "__pskb_pull_tail" },
	{ 0x9f62b07c, "skb_copy_expand" },
	{ 0xf72b770d, "skb_put" },
	{ 0xe473f417, "crypto_aead_encrypt" },
	{ 0x312936ab, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d6683a4, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9b7f1b85, "netdev_rx_handler_unregister" },
	{ 0xbc09360f, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7cd8fcef, "netif_carrier_off" },
	{ 0x49e7aea0, "dev_mc_unsync" },
	{ 0x37f0088d, "dev_uc_unsync" },
	{ 0x6fbb0c33, "dev_uc_del" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xfad9435e, "dev_uc_add" },
	{ 0x502d6691, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa88b92fb, "genlmsg_put" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA861098EE388E48C88F6C0");
MODULE_INFO(rhelversion, "10.0");
