#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x855523da, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x4026ca34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x54622b6d, "fasync_helper" },
	{ 0x87177325, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe7fb6e25, "netdev_info" },
	{ 0x502d6691, "netif_carrier_on" },
	{ 0x7cd8fcef, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x2a41b2ea, "from_kgid_munged" },
	{ 0x5bf7b7a9, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x33984e28, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7c30004, "__skb_get_hash_symmetric" },
	{ 0x66173067, "netif_tx_stop_all_queues" },
	{ 0x353c1579, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b3f8ff7, "rtnl_link_register" },
	{ 0x5627333a, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb55c0e4c, "misc_deregister" },
	{ 0xc03263e8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x36ceac6f, "xdp_return_frame" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x1a706463, "kill_fasync" },
	{ 0x3f6525f7, "skb_copy_datagram_iter" },
	{ 0xc363cc8d, "_copy_to_iter" },
	{ 0x13d40c18, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x102f81eb, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xdb4825dd, "bpf_prog_put" },
	{ 0xc3ebac28, "sk_alloc" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc9d5251d, "sock_init_data_uid" },
	{ 0xab022ebc, "sk_free" },
	{ 0xcd63a406, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3a427417, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1b31da0e, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x211225a6, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x43f4ba6d, "module_put" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75b0a9, "net_hotdata" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x953a973b, "netdev_core_stats_inc" },
	{ 0x1d64779e, "xdp_do_redirect" },
	{ 0xfff9986d, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa3f367c, "__traceiter_xdp_exception" },
	{ 0x4183534f, "xdp_return_frame_rx_napi" },
	{ 0x4b362a18, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x1cb939cf, "xdp_rxq_info_is_reg" },
	{ 0xea67c19a, "netif_set_real_num_tx_queues" },
	{ 0xb8f43f08, "netif_set_real_num_rx_queues" },
	{ 0x7e111296, "lock_sock_nested" },
	{ 0x63c04041, "sk_attach_filter" },
	{ 0xfa0877ae, "release_sock" },
	{ 0xc04729a0, "__xdp_rxq_info_reg" },
	{ 0x2c1ecb5, "xdp_rxq_info_reg_mem_model" },
	{ 0xce288810, "napi_enable" },
	{ 0xdb8c71d6, "netif_napi_add_weight" },
	{ 0x78e1ff71, "__dev_get_by_name" },
	{ 0xa4d36a81, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xd68d8bed, "netdev_state_change" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xd9fddc15, "alloc_netdev_mqs" },
	{ 0xb2a717fe, "ip_tunnel_header_ops" },
	{ 0xf5680e1f, "register_netdevice" },
	{ 0x71d99e59, "netif_tx_wake_queue" },
	{ 0xba34afaf, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7ac8ae47, "dev_addr_mod" },
	{ 0x4c01d210, "free_netdev" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2db698cb, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9ee4701b, "netif_receive_skb" },
	{ 0x12e9316a, "napi_gro_receive" },
	{ 0x15127dd5, "napi_complete_done" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3aa7455a, "unregister_netdevice_queue" },
	{ 0x5dc2f9d6, "build_skb" },
	{ 0xf72b770d, "skb_put" },
	{ 0xd8dda208, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd42087e, "sock_recv_errqueue" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x352da625, "sk_filter_trim_cap" },
	{ 0x96b56ccd, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79f513da, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x91bc6a53, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7acffcf1, "skb_copy_ubufs" },
	{ 0x96c17fe4, "___pskb_trim" },
	{ 0x5f8d14c, "napi_get_frags" },
	{ 0x964f9312, "iov_iter_single_seg_count" },
	{ 0x9608c73e, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x398b2a32, "__skb_flow_dissect" },
	{ 0xb54773c5, "skb_partial_csum_set" },
	{ 0xf9e36360, "__pskb_pull_tail" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1cc67893, "bpf_prog_get_type_dev" },
	{ 0xa99e0bdd, "skb_page_frag_refill" },
	{ 0x32ddba38, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x44a087c9, "xdp_master_redirect" },
	{ 0xf856ad95, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd171428c, "_copy_from_iter" },
	{ 0x409365bc, "iov_iter_npages" },
	{ 0xdc0e1092, "sock_alloc_send_pskb" },
	{ 0x6a84a90f, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x271bce72, "skb_copy_datagram_from_iter" },
	{ 0xc8404526, "eth_type_trans" },
	{ 0xff11256a, "do_xdp_generic" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf3d302c5, "napi_schedule_prep" },
	{ 0xe217db99, "iov_iter_revert" },
	{ 0xb89d66a5, "skb_push" },
	{ 0xed8e772d, "eth_get_headlen" },
	{ 0x39c06325, "napi_gro_frags" },
	{ 0xaa52ad67, "__napi_schedule" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xd9502c04, "__page_frag_cache_drain" },
	{ 0x7a43fad6, "get_net_ns" },
	{ 0xc8ad3993, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x642ba450, "make_kgid" },
	{ 0x56bb82aa, "sk_detach_filter" },
	{ 0xe27aa9e1, "make_kuid" },
	{ 0x9938123d, "init_user_ns" },
	{ 0x1ad39d3c, "from_kuid" },
	{ 0xbd1c1e62, "netdev_update_features" },
	{ 0x86118d0f, "dev_get_mac_address" },
	{ 0x7006b7d0, "dev_set_mac_address_user" },
	{ 0x798312f9, "call_netdevice_notifiers" },
	{ 0x94632598, "__module_get" },
	{ 0xe2c2c362, "from_kgid" },
	{ 0x2aa1ef69, "ethtool_op_get_link" },
	{ 0x13a21bfe, "ethtool_op_get_ts_info" },
	{ 0xf9ac44d0, "passthru_features_check" },
	{ 0xe6c26eb4, "eth_mac_addr" },
	{ 0x81d77a10, "eth_validate_addr" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C134014652DC944A877DB0");
MODULE_INFO(rhelversion, "10.0");
