#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0x35c12525, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0x8517f023, "");
SYMBOL_CRC(dasd_alloc_block, 0xcbf83af0, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x88f7f4bf, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0xaca4b446, "");
SYMBOL_CRC(dasd_reload_device, 0x62273783, "");
SYMBOL_CRC(dasd_enable_device, 0xb982fc62, "");
SYMBOL_CRC(dasd_smalloc_request, 0xf7b42b8c, "");
SYMBOL_CRC(dasd_fmalloc_request, 0x86ec4528, "");
SYMBOL_CRC(dasd_sfree_request, 0x63eb5417, "");
SYMBOL_CRC(dasd_ffree_request, 0x09ca4d1a, "");
SYMBOL_CRC(dasd_term_IO, 0x547d4586, "");
SYMBOL_CRC(dasd_start_IO, 0x13a2c535, "");
SYMBOL_CRC(dasd_device_set_timer, 0xc17aaa6f, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x9238d184, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x7e6ba57b, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0x26c1f257, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0xaafce9f6, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xea390703, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0x5ce68fa8, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0xcff44e3b, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x16754180, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0x542f0ff2, "");
SYMBOL_CRC(dasd_add_request_tail, 0x7b601121, "");
SYMBOL_CRC(dasd_wakeup_cb, 0x67f27e61, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0xaf3c77f0, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0xfea473ec, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0x9e5c5268, "");
SYMBOL_CRC(dasd_block_set_timer, 0x400e3e93, "");
SYMBOL_CRC(dasd_block_clear_timer, 0xf74fcc2e, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0xb2ca9ab5, "");
SYMBOL_CRC(dasd_device_is_ro, 0x60541090, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0xaaabb6bd, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0x5dcb4663, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0x7fdacce3, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0xaa7669ed, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0xb29deb19, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0x41b31d60, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0x82d14f9b, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0xbfbe6ea0, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x489b9f80, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0x76e9f0d4, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0x901902e9, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0xb0f9b1a5, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0x593bdfda, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0x03aaa67d, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x23e30326, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x6877463f, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0xd6ecff53, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0x3979505f, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0x352a175d, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0x56389f21, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x85d0bfa8, "");
SYMBOL_CRC(dasd_dev_groups, 0xf396f452, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0x7f74d292, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x47a520f2, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x07e56413, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0xdeafcf40, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0xf22ba77a, "");
SYMBOL_CRC(dasd_default_erp_action, 0x3d316fab, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0xf64e05ef, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0x56d208f2, "");
SYMBOL_CRC(dasd_free_erp_request, 0x191e611f, "");
SYMBOL_CRC(dasd_log_sense, 0x17027a5d, "");
SYMBOL_CRC(dasd_eer_write, 0xe7812a78, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b19b78e, "set_disk_ro" },
	{ 0x795a1d92, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb55c0e4c, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbd7bb7b3, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x14dea61b, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd10a729d, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0xb89c823d, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x7caa5e28, "debug_set_level" },
	{ 0xc8f0dc13, "param_array_ops" },
	{ 0x90000d2, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xff1558b7, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x5e93766d, "kset_unregister" },
	{ 0x96db2637, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x437c8d6, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0xe6710325, "get_device" },
	{ 0x798ffc43, "blk_mq_end_request" },
	{ 0x8bb33497, "__blk_mq_alloc_disk" },
	{ 0xba0695b9, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x85efc316, "blk_mq_alloc_tag_set" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0xa1a7202e, "put_disk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x22fcc1f, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x37dc8c3b, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x368e0790, "blk_queue_flag_set" },
	{ 0x5be27de6, "ccw_device_get_schid" },
	{ 0x61157ff6, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x43f4ba6d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x65c7e405, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x25584ae4, "fput" },
	{ 0x53799fa9, "_dev_err" },
	{ 0xfe30e039, "kobject_add" },
	{ 0x23cc90f9, "blk_update_request" },
	{ 0x8353284f, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xd7da8936, "kobj_sysfs_ops" },
	{ 0x2df74d6e, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x192ce10, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x53b9b31e, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x1063b2fc, "cmf_readall" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x12491814, "seq_putc" },
	{ 0x8ef55c29, "bdev_mark_dead" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29f40f59, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x25f9db9, "del_gendisk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x59383803, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xa940984a, "bdev_file_open_by_dev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe49283c9, "proc_mkdir" },
	{ 0x4c0d73ad, "ccw_device_set_offline" },
	{ 0xb02cbe9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5627333a, "misc_register" },
	{ 0xc1d48de0, "ccw_device_clear" },
	{ 0xb503af42, "param_ops_charp" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa46ac738, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0x988fa8d5, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa8f54c44, "debug_unregister" },
	{ 0x9ba205ea, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e69f94d, "blk_mq_complete_request" },
	{ 0x577ec2d5, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x32ba4bf1, "seq_write" },
	{ 0xf8cd3071, "remove_proc_entry" },
	{ 0x362c7c2, "seq_printf" },
	{ 0xe4923e79, "ccw_device_set_online" },
	{ 0xd7164eb4, "enable_cmf" },
	{ 0x8993bae1, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x497603b2, "blk_mq_start_request" },
	{ 0xb76e0367, "ccw_device_get_path_mask" },
	{ 0x220e0700, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6b310586, "single_release" },
	{ 0x2418504a, "tcw_get_tsb" },
	{ 0x9711a5d4, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x3af160b5, "blk_abort_request" },
	{ 0x10d0cdf, "debug_sprintf_view" },
	{ 0xa844e62, "param_ops_int" },
	{ 0xdd5d75db, "blk_mq_run_hw_queues" },
	{ 0x7e986c4f, "proc_create_seq_private" },
	{ 0x99d0ab15, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xf88c7d84, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa3093600, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xca02d2ce, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x574740b0, "blk_queue_rq_timeout" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x56426254, "kset_create_and_add" },
	{ 0x5af67f35, "kobject_put" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D504DB12B89C70814940221");
MODULE_INFO(rhelversion, "10.0");
