#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xf2e3e2eb, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x5be46307, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xe16137a9, "_gpl");
SYMBOL_CRC(fat_scan, 0x8aa11024, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x6cec3314, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xe1b68323, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x7ee68f33, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xf4fb3f90, "_gpl");
SYMBOL_CRC(fat_getattr, 0xf090e27d, "_gpl");
SYMBOL_CRC(fat_setattr, 0x279015b0, "_gpl");
SYMBOL_CRC(fat_attach, 0xf6fe7420, "_gpl");
SYMBOL_CRC(fat_detach, 0x872fc6da, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x60dfa209, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x828748a7, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xf636389f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x735126b5, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x9c0f3093, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x669ffce8, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xc22eb757, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x18f32d1c, "_gpl");
SYMBOL_CRC(fat_update_time, 0xa414e7cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7242c7fc, "filemap_fdatawrite" },
	{ 0x7f406ea9, "generic_fillattr" },
	{ 0xc372f13b, "setattr_prepare" },
	{ 0x776b4b97, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xd1c1ca1d, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe2434023, "make_vfsgid" },
	{ 0xc53d4ac9, "blk_start_plug" },
	{ 0xcdbf558f, "clear_inode" },
	{ 0x21cb2b90, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf228f1cd, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xda6b539d, "mark_buffer_dirty" },
	{ 0xeff7a181, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x3b287785, "__find_get_block" },
	{ 0x72e5467e, "filemap_fdatawrite_range" },
	{ 0x345eaff0, "inode_needs_sync" },
	{ 0x69cc0ad7, "__blockdev_direct_IO" },
	{ 0xed34f12d, "d_make_root" },
	{ 0x75b053d6, "__bforget" },
	{ 0x76df1f81, "sb_set_blocksize" },
	{ 0xbe8b91ed, "block_truncate_page" },
	{ 0xae016aa7, "write_dirty_buffer" },
	{ 0xb8bca000, "sync_filesystem" },
	{ 0xd41442f9, "fsnotify" },
	{ 0xb9afd6c6, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x531992f1, "from_vfsuid" },
	{ 0x4c96ad34, "inode_dio_wait" },
	{ 0x4393c581, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xffdc7f01, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7e3119f1, "iput" },
	{ 0x90f9eec5, "iter_file_splice_write" },
	{ 0xd62bb723, "generic_file_write_iter" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0x375ad167, "sync_inode_metadata" },
	{ 0x6db4d36a, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe38f8de5, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x78c4df07, "block_invalidate_folio" },
	{ 0x89ac7c78, "__breadahead" },
	{ 0xab5251b, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb0eeb2c8, "load_nls" },
	{ 0x81fc4cd, "generic_cont_expand_simple" },
	{ 0xe27aa9e1, "make_kuid" },
	{ 0x4a541797, "truncate_inode_pages_final" },
	{ 0xe47a105a, "generic_file_mmap" },
	{ 0x5c4646d7, "sync_mapping_buffers" },
	{ 0x92c845b6, "ilookup" },
	{ 0x6c97a689, "invalidate_inode_buffers" },
	{ 0xde00fdec, "blk_finish_plug" },
	{ 0x9b29b67, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdc2b5a34, "mnt_drop_write_file" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x25d0aa46, "inode_init_once" },
	{ 0x258afec4, "compat_ptr_ioctl" },
	{ 0x169f7365, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xd18b4b70, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xa82b537, "generic_file_read_iter" },
	{ 0xdbebe272, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x1667afa1, "truncate_pagecache" },
	{ 0x13a310c7, "sync_dirty_buffer" },
	{ 0xb0871342, "setattr_copy" },
	{ 0x25b3ccf7, "__wait_on_buffer" },
	{ 0xfd2b08e0, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7b5c836a, "kmem_cache_alloc_lru_noprof" },
	{ 0x118b3403, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa892f321, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x95d778c5, "from_vfsgid" },
	{ 0x11db975d, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5ef1a778, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf0513287, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xfa00a0c0, "block_dirty_folio" },
	{ 0xd571c2dd, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x42f505d4, "__insert_inode_hash" },
	{ 0xcbb2b938, "buffer_migrate_folio" },
	{ 0xea57d213, "kmem_cache_alloc_noprof" },
	{ 0x642ba450, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2a41b2ea, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x34bed32e, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x22aa8540, "generic_encode_ino32_fh" },
	{ 0xd7a5339f, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29819708, "igrab" },
	{ 0x17070c5d, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2f446296, "mpage_readahead" },
	{ 0x2d2249df, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x9938123d, "init_user_ns" },
	{ 0x32ba4bf1, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x362c7c2, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x5a17db3, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xf1b3b16a, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x81ad53a9, "generic_fh_to_parent" },
	{ 0xa0eb918b, "filemap_splice_read" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x5bf7b7a9, "from_kuid_munged" },
	{ 0x99b1ce5f, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xd443f98e, "__mark_inode_dirty" },
	{ 0xdabf20fb, "generic_file_llseek" },
	{ 0x8460b709, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x5f99cc42, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7c27e4f6, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0x1d17c49c, "blkdev_issue_discard" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A761BA8E500EF1DCDB7122D");
MODULE_INFO(rhelversion, "10.0");
