#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x345fe3c4, "");
SYMBOL_CRC(jbd2_journal_start, 0x5724c195, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xbaefb004, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xaa81d123, "");
SYMBOL_CRC(jbd2__journal_restart, 0x153a9c05, "");
SYMBOL_CRC(jbd2_journal_restart, 0x464a37ba, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xa918b5bb, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xb7e454b7, "");
SYMBOL_CRC(jbd2_journal_extend, 0x1e5ba9da, "");
SYMBOL_CRC(jbd2_journal_stop, 0x2ffb9836, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x99d991e7, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x9c214404, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x4a305723, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x9a469171, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x350f2cc8, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xb65a8a5e, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x7786fdd6, "");
SYMBOL_CRC(jbd2_journal_forget, 0x002fd20f, "");
SYMBOL_CRC(jbd2_journal_flush, 0xaffd6497, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x4337ccc7, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x5f7b0325, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x969690e2, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xfa4486f1, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xc87061b4, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x63c36747, "");
SYMBOL_CRC(jbd2_journal_load, 0x6dbe3885, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x1e8db33a, "");
SYMBOL_CRC(jbd2_journal_abort, 0xb9b31ad9, "");
SYMBOL_CRC(jbd2_journal_errno, 0xd00b644d, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x6a1c8d47, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x92ca36c8, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x52b34c64, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x19beb052, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xb508ff14, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x7d78a624, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xff1b7c5d, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x91be15a5, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xae392aa4, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x62136432, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x9c4a5885, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x2b08b304, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xa05c36e8, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x628f4087, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xe9d9fd71, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xacbb3a4c, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x2fb3de77, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x62499edd, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x3d2ea095, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xd8e3b25c, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xba6f829c, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x53943b09, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x054d5273, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x1aef26c7, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x7665b3e0, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x8c5204ee, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xe94fd48c, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xf45cbb04, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x9edb0afe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x91d7c38a, "bh_uptodate_or_lock" },
	{ 0x7de97ead, "shrinker_alloc" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc53d4ac9, "blk_start_plug" },
	{ 0x16acaf71, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa8971c49, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x481ab049, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x57604224, "trace_raw_output_prep" },
	{ 0x40e74450, "bpf_trace_run6" },
	{ 0xda6b539d, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x3b287785, "__find_get_block" },
	{ 0xad32da79, "__trace_trigger_soft_disabled" },
	{ 0x72e5467e, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa95420db, "trace_event_printf" },
	{ 0x75b053d6, "__bforget" },
	{ 0xae016aa7, "write_dirty_buffer" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0xc4b596d2, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e3119f1, "iput" },
	{ 0x96db2637, "seq_lseek" },
	{ 0xaa1e0497, "blockdev_superblock" },
	{ 0x9e1c81bb, "proc_create_data" },
	{ 0x65f96c07, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0xe8b0ff33, "bpf_trace_run8" },
	{ 0xaec582fa, "submit_bh" },
	{ 0xd5f8298e, "alloc_buffer_head" },
	{ 0xd7aa3593, "wake_up_process" },
	{ 0x76ed99b4, "shrinker_free" },
	{ 0xeb58f564, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xecf8a537, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7e88c08e, "try_to_free_buffers" },
	{ 0x7e8fab1f, "sync_blockdev" },
	{ 0x3ccdca8d, "free_buffer_head" },
	{ 0x46f97867, "shrinker_register" },
	{ 0xde00fdec, "blk_finish_plug" },
	{ 0x9b29b67, "bdev_getblk" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd18b4b70, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x30b2fa81, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xb75376dd, "__bh_read_batch" },
	{ 0x9843a9c8, "bpf_trace_run5" },
	{ 0x25b3ccf7, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x118b3403, "kmem_cache_free" },
	{ 0xd79af12e, "__bh_read" },
	{ 0x6926cf8d, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x6009bdad, "blkdev_issue_zeroout" },
	{ 0x9f2ebeec, "filemap_fdatawait_range_keep_errors" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe7e30e0, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6604a05d, "freezing_slow_path" },
	{ 0x40672b0a, "bpf_trace_run1" },
	{ 0xe49283c9, "proc_mkdir" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xea57d213, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x51a2b8a0, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x25e26518, "bpf_trace_run3" },
	{ 0x9ba205ea, "seq_read" },
	{ 0xd7a5339f, "unlock_buffer" },
	{ 0xebae3bd0, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xf856ad95, "__folio_put" },
	{ 0xf8cd3071, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x5a17db3, "__lock_buffer" },
	{ 0xb23d14c7, "truncate_inode_pages_range" },
	{ 0xf1b3b16a, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe2fe76a5, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x13267690, "end_buffer_write_sync" },
	{ 0xe746aa4, "seq_open" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x702e1bb5, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x6e65a925, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0x1d17c49c, "blkdev_issue_discard" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5669B00DCD8DFDA2873C758");
MODULE_INFO(rhelversion, "10.0");
