#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x9878bee1, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x0215fbb6, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x457dd47e, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xf4ee1bea, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x8ccff879, "_gpl");
SYMBOL_CRC(br_forward, 0x3a4afea2, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xff2d8af6, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xfb7f154e, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x4c497540, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xaf4f8cbb, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xdd5a942a, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x5fb8b8f6, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xd45b47a7, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x1990bdb9, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x38d242bd, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x52db5a3a, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x3d6b5324, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x94013936, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xa69fe752, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8d1fa023, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x32873f3f, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xa92a9b18, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x5c50b481, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd2191733, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x0d395377, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6664e108, "netdev_lower_get_next" },
	{ 0xbc09360f, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x711b3c08, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x86f7b37d, "skb_copy_bits" },
	{ 0x116f68ed, "__nlmsg_put" },
	{ 0x62bdf013, "switchdev_port_attr_set" },
	{ 0x1b120e1, "ipv6_mc_check_mld" },
	{ 0xf72b770d, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xfcffcae2, "call_switchdev_notifiers" },
	{ 0x187e4519, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbd1c1e62, "netdev_update_features" },
	{ 0x2db698cb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x6649f5c8, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80116c0c, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0xabdd066d, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x6fbb0c33, "dev_uc_del" },
	{ 0x27270be6, "netpoll_send_skb" },
	{ 0x6b3f8ff7, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x6b5eeaff, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9e962c83, "switchdev_port_obj_act_is_deferred" },
	{ 0xe751487b, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a597553, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3aa7455a, "unregister_netdevice_queue" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd68d8bed, "netdev_state_change" },
	{ 0x863258a4, "__pskb_copy_fclone" },
	{ 0x78e1ff71, "__dev_get_by_name" },
	{ 0xba34afaf, "ether_setup" },
	{ 0x102f81eb, "netdev_err" },
	{ 0x9608c73e, "pskb_expand_head" },
	{ 0x5963235e, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xd17a4f59, "brioctl_set" },
	{ 0x7ac8ae47, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x696d1746, "arp_xmit" },
	{ 0x9378ac2c, "__traceiter_br_mdb_full" },
	{ 0xd9fddc15, "alloc_netdev_mqs" },
	{ 0xf9ac44d0, "passthru_features_check" },
	{ 0x810e4cf3, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9b7f1b85, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xde338cb1, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x51d7d39c, "__alloc_skb" },
	{ 0x3203725, "rtnl_set_sk_err" },
	{ 0x31a95856, "skb_vlan_pop" },
	{ 0x873d6e00, "rtnl_unicast" },
	{ 0x24291eb8, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xec85d600, "ipv6_dev_get_saddr" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x88fcd4c3, "nla_reserve_64bit" },
	{ 0x793c3ccb, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1c654070, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc03263e8, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xa3af1125, "dev_get_port_parent_id" },
	{ 0x9af43533, "init_net" },
	{ 0xc5312996, "ipv6_stub" },
	{ 0x7a9aba8d, "inet_confirm_addr" },
	{ 0x96e47ce8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd36d7021, "sysfs_remove_link" },
	{ 0x40ff0818, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7fcd69ba, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6762e495, "arp_send" },
	{ 0x5f17e2a9, "dev_get_by_index_rcu" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0xe2dca24a, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb89d66a5, "skb_push" },
	{ 0x118b3403, "kmem_cache_free" },
	{ 0xee71be0, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd07dd30c, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9ee4701b, "netif_receive_skb" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3b5f19ed, "llc_mac_hdr_init" },
	{ 0x4c01d210, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xae8d155d, "kobject_init_and_add" },
	{ 0x8ce7f609, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa4d36a81, "ns_capable" },
	{ 0x821f686b, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xfb5ed705, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2aa1ef69, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa8f1f14b, "arp_create" },
	{ 0xa72223b1, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4b0a6602, "stp_proto_register" },
	{ 0x96d66561, "rtnl_register_module" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x5bcb6211, "sysfs_rename_link_ns" },
	{ 0xfd378ce4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xea57d213, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x96518242, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf9e36360, "__pskb_pull_tail" },
	{ 0x353c1579, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x807bac1e, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xcd2d8171, "ip_mc_check_igmp" },
	{ 0xb1f7353f, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x8b2b99ac, "switchdev_port_obj_del" },
	{ 0xb0525d1b, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7bfb1fb5, "kobject_create_and_add" },
	{ 0x2d6683a4, "skb_trim" },
	{ 0xe2d82517, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1e23e301, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xe0123383, "__ip_mc_inc_group" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x53b6d549, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5605f612, "sysfs_remove_group" },
	{ 0x7f082d11, "__traceiter_br_fdb_external_learn_add" },
	{ 0x84cb978, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5c6a9b2, "__netpoll_setup" },
	{ 0xec3a5640, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xce99667e, "vlan_vid_add" },
	{ 0x89141ed8, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xc77ab628, "kobject_del" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x798312f9, "call_netdevice_notifiers" },
	{ 0xc0872371, "is_skb_forwardable" },
	{ 0xfaf3b5e5, "vlan_vid_del" },
	{ 0xf5e09e56, "dev_set_allmulti" },
	{ 0xf96f5fdd, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf558d675, "netdev_master_upper_dev_get" },
	{ 0xdf3290a3, "ipv6_dev_mc_inc" },
	{ 0x667488f1, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7cd8fcef, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7171204, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb1f896d, "skb_clone" },
	{ 0x75ff2326, "metadata_dst_alloc" },
	{ 0x312936ab, "dst_release" },
	{ 0x502d6691, "netif_carrier_on" },
	{ 0x8993bae1, "kobject_uevent" },
	{ 0xabb9d3b6, "arp_tbl" },
	{ 0x3a7ec7f4, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7293df69, "netdev_rx_handler_register" },
	{ 0xfad9435e, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5978d9c5, "netif_set_tso_max_size" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0xbc9eab0e, "dev_disable_lro" },
	{ 0x5a6f34c7, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9e3296f6, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x29446d50, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xcd223718, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7b61a4b5, "nf_queue" },
	{ 0xb523bafe, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x4c4c8163, "skb_ext_add" },
	{ 0x26f684b7, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x4f8d8004, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0xf2e17fb, "neigh_lookup" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5af67f35, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf5680e1f, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "A0B96F39A1AB1424E50E8EE");
MODULE_INFO(rhelversion, "10.0");
