#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xc20cc3e6, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x833f4c52, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x643a214e, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x00267b45, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x39aa7026, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x6c213d65, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x1d127820, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x90e20bfe, "");
SYMBOL_CRC(ip_vs_conn_put, 0xc2828e90, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xd88d4800, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x4c0c5b4c, "");
SYMBOL_CRC(register_ip_vs_app, 0xbb674c8d, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xa4802da6, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xab6a69b2, "");
SYMBOL_CRC(ip_vs_proto_get, 0x63a83732, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x5a1cdc9f, "");
SYMBOL_CRC(register_ip_vs_pe, 0x6a9d69e0, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x3da9fbfd, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x5c77539f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7258d1e1, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x1092ae3e, "nf_conntrack_find_get" },
	{ 0x795a1d92, "try_module_get" },
	{ 0xdbafc3f9, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe462b89b, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x86f7b37d, "skb_copy_bits" },
	{ 0x811fca0b, "xfrm_lookup" },
	{ 0xa8e730e0, "proc_dointvec_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6506a8ef, "housekeeping_cpumask" },
	{ 0x2db698cb, "consume_skb" },
	{ 0x418cb69f, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xb97b3ef3, "nf_register_sockopt" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3885b5d5, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8c9c41e7, "kernel_bind" },
	{ 0x79cb1845, "set_user_nice" },
	{ 0xa88b92fb, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xb5dac923, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe8cff7fe, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x94632598, "__module_get" },
	{ 0xe3f4e39e, "ip_route_output_flow" },
	{ 0x99c1bcfe, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe22efb14, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x78e1ff71, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xaf9ea608, "proc_create_net_data" },
	{ 0x9608c73e, "pskb_expand_head" },
	{ 0x5963235e, "register_pernet_subsys" },
	{ 0xd7aa3593, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xc56f0566, "register_net_sysctl_sz" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xae9b4ec0, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1988d624, "nf_register_net_hooks" },
	{ 0x36410845, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x51d7d39c, "__alloc_skb" },
	{ 0x3311186f, "ipv6_sock_mc_join" },
	{ 0x43f4ba6d, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xec85d600, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x3399de68, "__skb_get_hash" },
	{ 0x9af43533, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7f7c71ed, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd4d71de, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf3e7a3be, "ip_route_me_harder" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb89d66a5, "skb_push" },
	{ 0x118b3403, "kmem_cache_free" },
	{ 0x8aaddc69, "set_cpus_allowed_ptr" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x12491814, "seq_putc" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x62faef05, "proc_doulongvec_minmax" },
	{ 0xc4aa46c4, "nf_ct_expect_alloc" },
	{ 0x912f90c8, "skb_ensure_writable" },
	{ 0x33756e34, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2643239e, "ip_mc_join_group" },
	{ 0x71853a83, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa4d36a81, "ns_capable" },
	{ 0x7519dad6, "nf_unregister_net_hooks" },
	{ 0x821f686b, "inet_select_addr" },
	{ 0xcf6eb5f8, "unregister_pernet_device" },
	{ 0x7e111296, "lock_sock_nested" },
	{ 0x9b22386e, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x84818aca, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8b56a2c8, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfd378ce4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xb9d6c72e, "kernel_connect" },
	{ 0xf945eadf, "skb_checksum" },
	{ 0x468bf045, "ip_defrag" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xea57d213, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf9e36360, "__pskb_pull_tail" },
	{ 0x1ef96373, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2d6683a4, "skb_trim" },
	{ 0xe2d82517, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x51a2b8a0, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x9250442, "nf_ct_deliver_cached_events" },
	{ 0x4777fd56, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfd9df69c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc14fd3f5, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xd8dda208, "skb_set_owner_w" },
	{ 0x5ddf74b2, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe5d5b18a, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9938123d, "init_user_ns" },
	{ 0x12151f7c, "nf_ct_expect_init" },
	{ 0x32ba4bf1, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf8cd3071, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x2d5e75be, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9b37484, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2d544e3d, "ipv4_update_pmtu" },
	{ 0xd61f622f, "nf_defrag_ipv6_enable" },
	{ 0x312936ab, "dst_release" },
	{ 0xbef3b320, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x72ed9002, "proc_dointvec" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcdf64c0c, "unregister_net_sysctl_table" },
	{ 0x4fb6dbb4, "ip_local_out" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x8e8992ea, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd89269e8, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa844e62, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x23aab8af, "genl_register_family" },
	{ 0xe02d2018, "kernel_sendmsg" },
	{ 0xca907225, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x6b3a1a42, "register_pernet_device" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x93aa30cd, "kmem_cache_destroy" },
	{ 0xfa0877ae, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x11021b1c, "proc_dointvec_minmax" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "757792AB12651328B68D2AE");
MODULE_INFO(rhelversion, "10.0");
