#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xf743a978, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x1d734f8e, "_gpl");
SYMBOL_CRC(tls_get_record, 0x35871011, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xb79ac0df, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x39a31251, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6aca6e4, "sk_msg_free" },
	{ 0x66d26d8b, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdec8a8f9, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbeffdab9, "tcp_read_sock" },
	{ 0x16acaf71, "bpf_trace_run4" },
	{ 0x86f7b37d, "skb_copy_bits" },
	{ 0x30eedb15, "sk_page_frag_refill" },
	{ 0xf72b770d, "skb_put" },
	{ 0x90610ec9, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2db698cb, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57604224, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd56badae, "sk_psock_msg_verdict" },
	{ 0x40e74450, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xad32da79, "__trace_trigger_soft_disabled" },
	{ 0xa95420db, "trace_event_printf" },
	{ 0x45a9beff, "iov_iter_get_pages2" },
	{ 0x96c17fe4, "___pskb_trim" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xc4b596d2, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x99e869e0, "clean_acked_data_enable" },
	{ 0xae8accb0, "skb_splice_bits" },
	{ 0x9ed9c454, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x60cdbd2, "crypto_aead_setauthsize" },
	{ 0x85542ebd, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xfee3ef4e, "sk_stream_error" },
	{ 0x8f8ea6de, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x88f50201, "sk_msg_memcopy_from_iter" },
	{ 0x4d6fc150, "sk_error_report" },
	{ 0x5963235e, "register_pernet_subsys" },
	{ 0x88d8acb3, "put_cmsg" },
	{ 0x4de6345b, "__sk_flush_backlog" },
	{ 0xeb58f564, "trace_event_buffer_commit" },
	{ 0xecf8a537, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x60a91fc0, "sk_psock_tls_strp_read" },
	{ 0x166c0e1, "sk_msg_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x51d7d39c, "__alloc_skb" },
	{ 0xc8acf442, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x6e8326c9, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x675e4a5a, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1a997745, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x30b2fa81, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xeea55805, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe473f417, "crypto_aead_encrypt" },
	{ 0x9843a9c8, "bpf_trace_run5" },
	{ 0xab022ebc, "sk_free" },
	{ 0x56b426b8, "skb_store_bits" },
	{ 0xbfb16ea9, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x41913ddf, "__sk_mem_reclaim" },
	{ 0xa1c5e0e4, "sk_stream_wait_memory" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x6926cf8d, "trace_event_reg" },
	{ 0x33756e34, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd42087e, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7e111296, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdeaa2de7, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x3f6525f7, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x40672b0a, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfd378ce4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x590901f5, "sock_efree" },
	{ 0x3b158ee3, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x351d0559, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa3c50732, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xcb1c0924, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d6683a4, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x101b50ab, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9b5b6265, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x25e26518, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x102cd90, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa99e0bdd, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xebae3bd0, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x88448019, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf856ad95, "__folio_put" },
	{ 0xf8cd3071, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x362c7c2, "seq_printf" },
	{ 0x9b37484, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb1f896d, "skb_clone" },
	{ 0x312936ab, "dst_release" },
	{ 0xd171428c, "_copy_from_iter" },
	{ 0x98253615, "skb_copy_header" },
	{ 0x6298aa71, "sk_msg_trim" },
	{ 0xf11c36fb, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xd93d0841, "netdev_sk_get_lowest_dev" },
	{ 0x41f22842, "sk_msg_alloc" },
	{ 0x67b2d74e, "kmalloc_trace_noprof" },
	{ 0x7fde5713, "_copy_from_iter_nocache" },
	{ 0xf646eaaf, "tcp_rate_check_app_limited" },
	{ 0xf02f98, "tcp_poll" },
	{ 0xe217db99, "iov_iter_revert" },
	{ 0x6aa25f75, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xf4259361, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x409365bc, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb2ecc69e, "kmalloc_caches" },
	{ 0x9ef754c0, "tcp_read_done" },
	{ 0xfa0877ae, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe17e9e4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41461579B9DDBADD936E1A");
MODULE_INFO(rhelversion, "10.0");
